THIS IS ONLY A TEST INSTANCE. DON'T DO IMPORTANT WORK HERE!

Unverified Commit e1c8c873 authored by Anatolii Bazko's avatar Anatolii Bazko Committed by GitHub
Browse files

Release 7.9.0 (#179)



* Update defaults tags to 7.9.0
* Update nightly olm files
* Release OLM files to 7.9.0
Signed-off-by: default avatarAnatoliy Bazko <abazko@redhat.com>
parent 923ce223
......@@ -2,6 +2,10 @@
## 1. Release files
### Prerequisites
- export environment variables `QUAY_USERNAME` and `QUAY_PASSWORD`
```bash
./make-release.sh <RELEASE_VERSION>
```
......
......@@ -26,22 +26,11 @@ spec:
- name: che-operator
image: quay.io/eclipse/che-operator:nightly
ports:
- containerPort: 60000
name: metrics
- containerPort: 60000
name: metrics
command:
- /usr/local/bin/che-operator
- /usr/local/bin/che-operator
imagePullPolicy: Always
# TODO: to be uncommented when issue
# https://github.com/operator-framework/operator-sdk/issues/1234
# is fixed
# readinessProbe:
# exec:
# command:
# - stat
# - /tmp/operator-sdk-ready
# initialDelaySeconds: 4
# periodSeconds: 10
# failureThreshold: 1
env:
- name: WATCH_NAMESPACE
valueFrom:
......@@ -52,27 +41,27 @@ spec:
fieldRef:
fieldPath: metadata.name
- name: OPERATOR_NAME
value: "che-operator"
value: che-operator
- name: CHE_VERSION
value: "7.8.0"
value: 7.9.0
- name: IMAGE_default_che_server
value: "quay.io/eclipse/che-server:7.8.0"
value: quay.io/eclipse/che-server:7.9.0
- name: IMAGE_default_plugin_registry
value: "quay.io/eclipse/che-plugin-registry:7.8.0"
value: quay.io/eclipse/che-plugin-registry:7.9.0
- name: IMAGE_default_devfile_registry
value: "quay.io/eclipse/che-devfile-registry:7.8.0"
- name: "IMAGE_default_pvc_jobs"
value: "registry.access.redhat.com/ubi8-minimal:8.0-213"
- name: "IMAGE_default_postgres"
value: "centos/postgresql-96-centos7:9.6"
- name: "IMAGE_default_keycloak"
value: "quay.io/eclipse/che-keycloak:7.8.0"
- name: "IMAGE_default_che_workspace_plugin_broker_metadata"
value: "quay.io/eclipse/che-plugin-metadata-broker:v3.1.0"
- name: "IMAGE_default_che_workspace_plugin_broker_artifacts"
value: "quay.io/eclipse/che-plugin-artifacts-broker:v3.1.0"
- name: "IMAGE_default_che_server_secure_exposer_jwt_proxy_image"
value: "quay.io/eclipse/che-jwtproxy:dbd0578"
value: quay.io/eclipse/che-devfile-registry:7.9.0
- name: IMAGE_default_pvc_jobs
value: registry.access.redhat.com/ubi8-minimal:8.0-213
- name: IMAGE_default_postgres
value: centos/postgresql-96-centos7:9.6
- name: IMAGE_default_keycloak
value: quay.io/eclipse/che-keycloak:7.9.0
- name: IMAGE_default_che_workspace_plugin_broker_metadata
value: quay.io/eclipse/che-plugin-metadata-broker:v3.1.1
- name: IMAGE_default_che_workspace_plugin_broker_artifacts
value: quay.io/eclipse/che-plugin-artifacts-broker:v3.1.1
- name: IMAGE_default_che_server_secure_exposer_jwt_proxy_image
value: quay.io/eclipse/che-jwtproxy:dbd0578
restartPolicy: Always
serviceAccountName: che-operator
terminationGracePeriodSeconds: 5
......@@ -64,8 +64,13 @@ resetLocalChanges() {
set -e
if [[ $result == 0 ]]; then
git fetch ${GIT_REMOTE_UPSTREAM}
git reset --hard
git checkout master
git fetch ${GIT_REMOTE_UPSTREAM} --prune
git pull ${GIT_REMOTE_UPSTREAM} master
local changes=$(git status -s | wc -l)
[[ $changes -gt 0 ]] && { echo -e $RED"The number of changes are greated then 0. Check 'git status'."$NC; return 1; }
elif [[ $result == 1 ]]; then
echo -e $YELLOW"> SKIPPED"$NC
fi
......@@ -90,6 +95,47 @@ getPropertyValue() {
echo $(cat $file | grep -m1 "$key" | tr -d ' ' | tr -d '\t' | cut -d = -f2)
}
checkImageReferences() {
local filename=$1
if ! grep -q "value: ${RELEASE}" $filename; then
echo -e $RED" Unable to find Che version ${RELEASE} in the $filename"$NC; exit 1
fi
if ! grep -q "value: quay.io/eclipse/che-server:$RELEASE" $filename; then
echo -e $RED" Unable to find Che server image with version ${RELEASE} in the $filename"$NC; exit 1
fi
if ! grep -q "value: quay.io/eclipse/che-plugin-registry:$RELEASE" $filename; then
echo -e $RED" Unable to find plugin registry image with version ${RELEASE} in the $filename"$NC; exit 1
fi
if ! grep -q "value: quay.io/eclipse/che-devfile-registry:$RELEASE" $filename; then
echo -e $RED" Unable to find devfile registry image with version ${RELEASE} in the $filename"$NC; exit 1
fi
if ! grep -q "value: quay.io/eclipse/che-keycloak:$RELEASE" $filename; then
echo -e $RED" Unable to find che-keycloak image with version ${RELEASE} in the $filename"$NC; exit 1
fi
wget https://raw.githubusercontent.com/eclipse/che/${RELEASE}/assembly/assembly-wsmaster-war/src/main/webapp/WEB-INF/classes/che/che.properties -q -O /tmp/che.properties
plugin_broker_meta_image=$(cat /tmp/che.properties | grep che.workspace.plugin_broker.metadata.image | cut -d '=' -f2)
if ! grep -q "value: $plugin_broker_meta_image" $filename; then
echo -e $RED" Unable to find plugin broker meta image '$plugin_broker_meta_image' in the $filename"$NC; exit 1
fi
plugin_broker_artifacts_image=$(cat /tmp/che.properties | grep che.workspace.plugin_broker.artifacts.image | cut -d '=' -f2)
if ! grep -q "value: $plugin_broker_artifacts_image" $filename; then
echo -e $RED" Unable to find plugin broker artifacts image '$plugin_broker_artifacts_image' in the $filename"$NC; exit 1
fi
jwt_proxy_image=$(cat /tmp/che.properties | grep che.server.secure_exposer.jwtproxy.image | cut -d '=' -f2)
if ! grep -q "value: $jwt_proxy_image" $filename; then
echo -e $RED" Unable to find jwt proxy image $jwt_proxy_image in the $filename"$NC; exit 1
fi
}
releaseOperatorCode() {
set +e
ask "3. Release operator code?"
......@@ -103,43 +149,7 @@ releaseOperatorCode() {
. ${BASE_DIR}/release-operator-code.sh $RELEASE
echo -e $GREEN"3.2 Validate changes for $operatoryaml"$NC
if ! grep -q "value: ${RELEASE}" $operatoryaml; then
echo -e $RED" Unable to find Che version ${RELEASE} in the $operatoryaml"$NC; exit 1
fi
if ! grep -q "value: quay.io/eclipse/che-server:$RELEASE" $operatoryaml; then
echo -e $RED" Unable to find Che server image with version ${RELEASE} in the $operatoryaml"$NC; exit 1
fi
if ! grep -q "value: quay.io/eclipse/che-plugin-registry:$RELEASE" $operatoryaml; then
echo -e $RED" Unable to find plugin registry image with version ${RELEASE} in the $operatoryaml"$NC; exit 1
fi
if ! grep -q "value: quay.io/eclipse/che-devfile-registry:$RELEASE" $operatoryaml; then
echo -e $RED" Unable to find devfile registry image with version ${RELEASE} in the $operatoryaml"$NC; exit 1
fi
if ! grep -q "value: quay.io/eclipse/che-keycloak:$RELEASE" $operatoryaml; then
echo -e $RED" Unable to find che-keycloak image with version ${RELEASE} in the $operatoryaml"$NC; exit 1
fi
wget https://raw.githubusercontent.com/eclipse/che/${RELEASE}/assembly/assembly-wsmaster-war/src/main/webapp/WEB-INF/classes/che/che.properties -q -O /tmp/che.properties
plugin_broker_meta_image=$(cat /tmp/che.properties | grep che.workspace.plugin_broker.metadata.image | cut -d '=' -f2)
if ! grep -q "value: $plugin_broker_meta_image" $operatoryaml; then
echo -e $RED" Unable to find plugin broker meta image '$plugin_broker_meta_image' in the $operatoryaml"$NC; exit 1
fi
plugin_broker_artifacts_image=$(cat /tmp/che.properties | grep che.workspace.plugin_broker.artifacts.image | cut -d '=' -f2)
if ! grep -q "value: $plugin_broker_artifacts_image" $operatoryaml; then
echo -e $RED" Unable to find plugin broker artifacts image '$plugin_broker_artifacts_image' in the $operatoryaml"$NC; exit 1
fi
jwt_proxy_image=$(cat /tmp/che.properties | grep che.server.secure_exposer.jwtproxy.image | cut -d '=' -f2)
if ! grep -q "value: $jwt_proxy_image" $operatoryaml; then
echo -e $RED" Unable to find jwt proxy image $jwt_proxy_image in the $operatoryaml"$NC; exit 1
fi
checkImageReferences $operatoryaml
echo -e $GREEN"3.3 It is needed to check file manully"$NC
echo $operatoryaml
......@@ -147,7 +157,7 @@ releaseOperatorCode() {
echo -e $GREEN"3.4 Validate number of changed files"$NC
local changes=$(git status -s | wc -l)
[[ $changes -gt 2 ]] && { echo -e $RED"The number of changes are greated then 2. Check 'git status'."$NC; return 1; }
[[ $changes -gt 1 ]] && { echo -e $RED"The number of changes are greated then 2. Check 'git status'."$NC; return 1; }
elif [[ $result == 1 ]]; then
echo -e $YELLOW"> SKIPPED"$NC
fi
......@@ -180,14 +190,62 @@ pushImage() {
fi
}
updateNightlyOlmFiles() {
set +e
ask "6. Update nighlty OLM files?"
result=$?
set -e
if [[ $result == 0 ]]; then
echo -e $GREEN"6.1 Launch 'update-nightly-olm-files.sh' script"$NC
cd $BASE_DIR/olm
. $BASE_DIR/olm/update-nightly-olm-files.sh
cd $CURRENT_DIR
echo -e $GREEN"6.2 Validate changes"$NC
lastKubernetesNightlyDir=$(ls -dt $BASE_DIR/olm/eclipse-che-preview-kubernetes/deploy/olm-catalog/eclipse-che-preview-kubernetes/* | head -1)
csvFile=$(ls ${lastKubernetesNightlyDir}/*.clusterserviceversion.yaml)
checkImageReferences $csvFile
lastNightlyOpenshiftDir=$(ls -dt $BASE_DIR/olm/eclipse-che-preview-openshift/deploy/olm-catalog/eclipse-che-preview-openshift/* | head -1)
csvFile=$(ls ${lastNightlyOpenshiftDir}/*.clusterserviceversion.yaml)
checkImageReferences $csvFile
echo -e $GREEN"6.3 It is needed to check file manully"$NC
for diff in $(ls ${lastKubernetesNightlyDir}/*.diff); do echo $diff; done
for diff in $(ls ${lastNightlyOpenshiftDir}/*.diff); do echo $diff; done
echo -e $GREEN"6.4 Validate number of changed files"$NC
local changes=$(git status -s | wc -l)
[[ $changes -gt 4 ]] && { echo -e $RED"The number of changes are greated then 4. Check 'git status'."$NC; return 1; }
elif [[ $result == 1 ]]; then
echo -e $YELLOW"> SKIPPED"$NC
fi
}
commitNightlyOlmFiles() {
set +e
ask "7. Commit changes?"
result=$?
set -e
if [[ $result == 0 ]]; then
git add -A
git commit -m "Update nightly olm files" --signoff
elif [[ $result == 1 ]]; then
echo -e $YELLOW"> SKIPPED"$NC
fi
}
releaseOlmFiles() {
set +e
ask "6. Release OLM files?"
ask "8. Release OLM files?"
result=$?
set -e
if [[ $result == 0 ]]; then
echo -e $GREEN"6.1 Launch 'olm/release-olm-files.sh' script"$NC
echo -e $GREEN"8.1 Launch 'olm/release-olm-files.sh' script"$NC
cd $BASE_DIR/olm
. $BASE_DIR/olm/release-olm-files.sh $RELEASE
cd $CURRENT_DIR
......@@ -195,7 +253,7 @@ releaseOlmFiles() {
local openshift=$BASE_DIR/eclipse-che-preview-openshift/deploy/olm-catalog/eclipse-che-preview-openshift
local kubernetes=$BASE_DIR/eclipse-che-preview-kubernetes/deploy/olm-catalog/eclipse-che-preview-kubernetes
echo -e $GREEN"6.2 Validate files"$NC
echo -e $GREEN"8.2 Validate files"$NC
grep -q "currentCSV: eclipse-che-preview-openshift.v"$RELEASE $openshift/eclipse-che-preview-openshift.package.yaml
grep -q "currentCSV: eclipse-che-preview-kubernetes.v"$RELEASE $kubernetes/eclipse-che-preview-kubernetes.package.yaml
grep -q "version: "$RELEASE $openshift/$RELEASE/eclipse-che-preview-openshift.v$RELEASE.clusterserviceversion.yaml
......@@ -203,14 +261,13 @@ releaseOlmFiles() {
test -f $kubernetes/$RELEASE/eclipse-che-preview-kubernetes.crd.yaml
test -f $openshift/$RELEASE/eclipse-che-preview-openshift.crd.yaml
echo -e $GREEN"6.3 It is needed to check diff files manully"$NC
echo -e $GREEN"8.3 It is needed to check diff files manully"$NC
echo $openshift/$RELEASE/eclipse-che-preview-openshift.v$RELEASE.clusterserviceversion.yaml.diff
echo $kubernetes/$RELEASE/eclipse-che-preview-kubernetes.v$RELEASE.clusterserviceversion.yaml.diff
echo $openshift/$RELEASE/eclipse-che-preview-openshift.crd.yaml.diff
echo $kubernetes/$RELEASE/eclipse-che-preview-kubernetes.crd.yaml.diff
read -p "Press enter to continue"
echo -e $GREEN"6.4 Validate number of changed files"$NC
echo -e $GREEN"8.4 Validate number of changed files"$NC
local changes=$(git status -s | wc -l)
[[ $changes -gt 4 ]] && { echo -e $RED"The number of changed files are greated then 4. Check 'git status'."$NC; return 1; }
elif [[ $result == 1 ]]; then
......@@ -220,7 +277,7 @@ releaseOlmFiles() {
commitOlmChanges() {
set +e
ask "7. Commit changes?"
ask "9. Commit changes?"
result=$?
set -e
......@@ -234,7 +291,7 @@ commitOlmChanges() {
pushOlmFiles() {
set +e
ask "8. Push OLM files to quay.io?"
ask "10. Push OLM files to quay.io?"
result=$?
set -e
......@@ -257,7 +314,7 @@ pushOlmFiles() {
pushChanges() {
set +e
ask "9. Push changes?"
ask "11. Push changes?"
result=$?
set -e
......@@ -276,6 +333,8 @@ run() {
releaseOperatorCode
commitDefaultsGoChanges
pushImage
updateNightlyOlmFiles
commitNightlyOlmFiles
releaseOlmFiles
commitOlmChanges
pushOlmFiles
......
--- /home/tolusha/gocode/src/github.com/eclipse/che-operator/olm/eclipse-che-preview-kubernetes/deploy/olm-catalog/eclipse-che-preview-kubernetes/7.8.0/eclipse-che-preview-kubernetes.v7.8.0.clusterserviceversion.yaml 2020-02-10 16:17:37.612552257 +0200
+++ /home/tolusha/gocode/src/github.com/eclipse/che-operator/olm/eclipse-che-preview-kubernetes/deploy/olm-catalog/eclipse-che-preview-kubernetes/7.9.0/eclipse-che-preview-kubernetes.v7.9.0.clusterserviceversion.yaml 2020-02-24 15:02:02.466266737 +0200
@@ -48,13 +48,13 @@
capabilities: Seamless Upgrades
categories: Developer Tools
certified: "false"
- containerImage: quay.io/eclipse/che-operator:7.8.0
- createdAt: "2020-02-03T07:34:57Z"
+ containerImage: quay.io/eclipse/che-operator:7.9.0
+ createdAt: "2020-02-24T13:02:02Z"
description: A Kube-native development solution that delivers portable and collaborative
developer workspaces.
repository: https://github.com/eclipse/che-operator
support: Eclipse Foundation
- name: eclipse-che-preview-kubernetes.v7.8.0
+ name: eclipse-che-preview-kubernetes.v7.9.0
namespace: placeholder
spec:
apiservicedefinitions: {}
@@ -247,7 +247,27 @@
fieldPath: metadata.name
- name: OPERATOR_NAME
value: che-operator
- image: quay.io/eclipse/che-operator:7.8.0
+ - name: CHE_VERSION
+ value: 7.9.0
+ - name: IMAGE_default_che_server
+ value: quay.io/eclipse/che-server:7.9.0
+ - name: IMAGE_default_plugin_registry
+ value: quay.io/eclipse/che-plugin-registry:7.9.0
+ - name: IMAGE_default_devfile_registry
+ value: quay.io/eclipse/che-devfile-registry:7.9.0
+ - name: IMAGE_default_pvc_jobs
+ value: registry.access.redhat.com/ubi8-minimal:8.0-213
+ - name: IMAGE_default_postgres
+ value: centos/postgresql-96-centos7:9.6
+ - name: IMAGE_default_keycloak
+ value: quay.io/eclipse/che-keycloak:7.9.0
+ - name: IMAGE_default_che_workspace_plugin_broker_metadata
+ value: quay.io/eclipse/che-plugin-metadata-broker:v3.1.1
+ - name: IMAGE_default_che_workspace_plugin_broker_artifacts
+ value: quay.io/eclipse/che-plugin-artifacts-broker:v3.1.1
+ - name: IMAGE_default_che_server_secure_exposer_jwt_proxy_image
+ value: quay.io/eclipse/che-jwtproxy:dbd0578
+ image: quay.io/eclipse/che-operator:7.9.0
imagePullPolicy: IfNotPresent
name: che-operator
ports:
@@ -350,5 +370,5 @@
maturity: stable
provider:
name: Eclipse Foundation
- replaces: eclipse-che-preview-kubernetes.v7.7.1
- version: 7.8.0
+ replaces: eclipse-che-preview-kubernetes.v7.8.0
+ version: 7.9.0
--- /home/tolusha/gocode/src/github.com/eclipse/che-operator/olm/eclipse-che-preview-kubernetes/deploy/olm-catalog/eclipse-che-preview-kubernetes/9.9.9-nightly.1581975496/eclipse-che-preview-kubernetes.v9.9.9-nightly.1581975496.clusterserviceversion.yaml 2020-02-19 09:21:05.401706951 +0200
+++ /home/tolusha/gocode/src/github.com/eclipse/che-operator/olm/eclipse-che-preview-kubernetes/deploy/olm-catalog/eclipse-che-preview-kubernetes/9.9.9-nightly.1582546871/eclipse-che-preview-kubernetes.v9.9.9-nightly.1582546871.clusterserviceversion.yaml 2020-02-24 14:21:11.503010262 +0200
@@ -49,12 +49,12 @@
categories: Developer Tools
certified: "false"
containerImage: quay.io/eclipse/che-operator:nightly
- createdAt: "2020-02-17T21:38:16Z"
+ createdAt: "2020-02-24T12:21:11Z"
description: A Kube-native development solution that delivers portable and collaborative
developer workspaces.
repository: https://github.com/eclipse/che-operator
support: Eclipse Foundation
- name: eclipse-che-preview-kubernetes.v9.9.9-nightly.1581975496
+ name: eclipse-che-preview-kubernetes.v9.9.9-nightly.1582546871
namespace: placeholder
spec:
apiservicedefinitions: {}
@@ -248,23 +248,23 @@
- name: OPERATOR_NAME
value: che-operator
- name: CHE_VERSION
- value: 7.8.0
+ value: 7.9.0
- name: IMAGE_default_che_server
- value: quay.io/eclipse/che-server:7.8.0
+ value: quay.io/eclipse/che-server:7.9.0
- name: IMAGE_default_plugin_registry
- value: quay.io/eclipse/che-plugin-registry:7.8.0
+ value: quay.io/eclipse/che-plugin-registry:7.9.0
- name: IMAGE_default_devfile_registry
- value: quay.io/eclipse/che-devfile-registry:7.8.0
+ value: quay.io/eclipse/che-devfile-registry:7.9.0
- name: IMAGE_default_pvc_jobs
value: registry.access.redhat.com/ubi8-minimal:8.0-213
- name: IMAGE_default_postgres
value: centos/postgresql-96-centos7:9.6
- name: IMAGE_default_keycloak
- value: quay.io/eclipse/che-keycloak:7.8.0
+ value: quay.io/eclipse/che-keycloak:7.9.0
- name: IMAGE_default_che_workspace_plugin_broker_metadata
- value: quay.io/eclipse/che-plugin-metadata-broker:v3.1.0
+ value: quay.io/eclipse/che-plugin-metadata-broker:v3.1.1
- name: IMAGE_default_che_workspace_plugin_broker_artifacts
- value: quay.io/eclipse/che-plugin-artifacts-broker:v3.1.0
+ value: quay.io/eclipse/che-plugin-artifacts-broker:v3.1.1
- name: IMAGE_default_che_server_secure_exposer_jwt_proxy_image
value: quay.io/eclipse/che-jwtproxy:dbd0578
image: quay.io/eclipse/che-operator:nightly
@@ -370,5 +370,5 @@
maturity: stable
provider:
name: Eclipse Foundation
- replaces: eclipse-che-preview-kubernetes.v9.9.9-nightly.1580283700
- version: 9.9.9-nightly.1581975496
+ replaces: eclipse-che-preview-kubernetes.v9.9.9-nightly.1581975496
+ version: 9.9.9-nightly.1582546871
channels:
- currentCSV: eclipse-che-preview-kubernetes.v9.9.9-nightly.1581975496
- currentCSV: eclipse-che-preview-kubernetes.v9.9.9-nightly.1582546871
name: nightly
- currentCSV: eclipse-che-preview-kubernetes.v7.8.0
- currentCSV: eclipse-che-preview-kubernetes.v7.9.0
name: stable
defaultChannel: stable
packageName: eclipse-che-preview-kubernetes
--- /home/tolusha/gocode/src/github.com/eclipse/che-operator/olm/eclipse-che-preview-openshift/deploy/olm-catalog/eclipse-che-preview-openshift/7.8.0/eclipse-che-preview-openshift.v7.8.0.clusterserviceversion.yaml 2020-02-10 16:17:37.616551965 +0200
+++ /home/tolusha/gocode/src/github.com/eclipse/che-operator/olm/eclipse-che-preview-openshift/deploy/olm-catalog/eclipse-che-preview-openshift/7.9.0/eclipse-che-preview-openshift.v7.9.0.clusterserviceversion.yaml 2020-02-24 15:02:02.626266491 +0200
@@ -45,13 +45,13 @@
capabilities: Seamless Upgrades
categories: Developer Tools, OpenShift Optional
certified: "false"
- containerImage: quay.io/eclipse/che-operator:7.8.0
- createdAt: "2020-02-03T07:34:57Z"
+ containerImage: quay.io/eclipse/che-operator:7.9.0
+ createdAt: "2020-02-24T13:02:02Z"
description: A Kube-native development solution that delivers portable and collaborative
developer workspaces in OpenShift.
repository: https://github.com/eclipse/che-operator
support: Eclipse Foundation
- name: eclipse-che-preview-openshift.v7.8.0
+ name: eclipse-che-preview-openshift.v7.9.0
namespace: placeholder
spec:
apiservicedefinitions: {}
@@ -287,7 +287,27 @@
fieldPath: metadata.name
- name: OPERATOR_NAME
value: che-operator
- image: quay.io/eclipse/che-operator:7.8.0
+ - name: CHE_VERSION
+ value: 7.9.0
+ - name: IMAGE_default_che_server
+ value: quay.io/eclipse/che-server:7.9.0
+ - name: IMAGE_default_plugin_registry
+ value: quay.io/eclipse/che-plugin-registry:7.9.0
+ - name: IMAGE_default_devfile_registry
+ value: quay.io/eclipse/che-devfile-registry:7.9.0
+ - name: IMAGE_default_pvc_jobs
+ value: registry.access.redhat.com/ubi8-minimal:8.0-213
+ - name: IMAGE_default_postgres
+ value: centos/postgresql-96-centos7:9.6
+ - name: IMAGE_default_keycloak
+ value: quay.io/eclipse/che-keycloak:7.9.0
+ - name: IMAGE_default_che_workspace_plugin_broker_metadata
+ value: quay.io/eclipse/che-plugin-metadata-broker:v3.1.1
+ - name: IMAGE_default_che_workspace_plugin_broker_artifacts
+ value: quay.io/eclipse/che-plugin-artifacts-broker:v3.1.1
+ - name: IMAGE_default_che_server_secure_exposer_jwt_proxy_image
+ value: quay.io/eclipse/che-jwtproxy:dbd0578
+ image: quay.io/eclipse/che-operator:7.9.0
imagePullPolicy: IfNotPresent
name: che-operator
ports:
@@ -395,5 +415,5 @@
maturity: stable
provider:
name: Eclipse Foundation
- replaces: eclipse-che-preview-openshift.v7.7.1
- version: 7.8.0
+ replaces: eclipse-che-preview-openshift.v7.8.0
+ version: 7.9.0
--- /home/tolusha/gocode/src/github.com/eclipse/che-operator/olm/eclipse-che-preview-openshift/deploy/olm-catalog/eclipse-che-preview-openshift/9.9.9-nightly.1581975497/eclipse-che-preview-openshift.v9.9.9-nightly.1581975497.clusterserviceversion.yaml 2020-02-19 09:21:05.401706951 +0200
+++ /home/tolusha/gocode/src/github.com/eclipse/che-operator/olm/eclipse-che-preview-openshift/deploy/olm-catalog/eclipse-che-preview-openshift/9.9.9-nightly.1582546871/eclipse-che-preview-openshift.v9.9.9-nightly.1582546871.clusterserviceversion.yaml 2020-02-24 14:21:11.659010113 +0200
@@ -46,12 +46,12 @@
categories: Developer Tools, OpenShift Optional
certified: "false"
containerImage: quay.io/eclipse/che-operator:nightly
- createdAt: "2020-02-17T21:38:17Z"
+ createdAt: "2020-02-24T12:21:11Z"
description: A Kube-native development solution that delivers portable and collaborative
developer workspaces in OpenShift.
repository: https://github.com/eclipse/che-operator
support: Eclipse Foundation
- name: eclipse-che-preview-openshift.v9.9.9-nightly.1581975497
+ name: eclipse-che-preview-openshift.v9.9.9-nightly.1582546871
namespace: placeholder
spec:
apiservicedefinitions: {}
@@ -288,23 +288,23 @@
- name: OPERATOR_NAME
value: che-operator
- name: CHE_VERSION
- value: 7.8.0
+ value: 7.9.0
- name: IMAGE_default_che_server
- value: quay.io/eclipse/che-server:7.8.0
+ value: quay.io/eclipse/che-server:7.9.0
- name: IMAGE_default_plugin_registry
- value: quay.io/eclipse/che-plugin-registry:7.8.0
+ value: quay.io/eclipse/che-plugin-registry:7.9.0
- name: IMAGE_default_devfile_registry
- value: quay.io/eclipse/che-devfile-registry:7.8.0
+ value: quay.io/eclipse/che-devfile-registry:7.9.0
- name: IMAGE_default_pvc_jobs
value: registry.access.redhat.com/ubi8-minimal:8.0-213
- name: IMAGE_default_postgres
value: centos/postgresql-96-centos7:9.6